% This script assembles the stiffness matrix and vector for the
% displacement velocity.
f_v = zeros(n,1);
S_vv = sparse(n,n);
S_ve = sparse(n,n);
for i = 1:(n-1) 
    h = x(i+1)-x(i);
    Selem_vv = mu/h*[1,-1;-1,1];
    Selem_ve = E/2*[-sqrt(rho(i)),-sqrt(rho(i+1)); sqrt(rho(i)), sqrt(rho(i+1))];
    for ind1 = 1:topology
        for ind2 = 1:topology
            S_vv(elmat(i,ind1),elmat(i,ind2))= S_vv(elmat(i,ind1),elmat(i,ind2)) + Selem_vv(ind1,ind2);
            S_ve(elmat(i,ind1),elmat(i,ind2))= S_ve(elmat(i,ind1),elmat(i,ind2)) + Selem_ve(ind1,ind2);
        end
    end
    f = xi*M(i)*rho(i)/(R^2+(rho(i)^2)) + xi*M(i+1)*rho(i+1)/(R^2+(rho(i+1)^2));
    felem_v = f/2*[1;-1];
    for ind1 = 1:topology
        f_v(elmat(i,ind1)) = f_v(elmat(i,ind1)) + felem_v(ind1);
    end
end