if study==1
    plot(ax_N,x,N,'LineWidth',1.5);
    title(ax_N,['Day ',num2str(day(t))]);
    xlabel(ax_N,'Domain of computation ($x$)', 'interpreter','latex');
    ylabel(ax_N,'Fibroblasts ($N$)','interpreter','latex');
    axis(ax_N,[0 1 0.999e4 1.001e4]);
    frame = getframe(fig_N);
    writeVideo(vid_N,frame);
    if round(day(t),2)<110
        plot(ax_M,x,M,'LineWidth',1.5);
        xlabel(ax_M,'Domain of computation ($x$)', 'interpreter','latex');
        ylabel(ax_M,'Myofibroblasts ($M$)','interpreter','latex');
        title(ax_M,['Day ',num2str(day(t))]);
        axis(ax_M,[0 1 0 7]);
        frame = getframe(fig_M);
        writeVideo(vid_M,frame);
    end
    if round(day(t),2)<60
        plot(ax_c,x,c,'LineWidth',1.5);
        xlabel(ax_c,'Domain of computation ($x$)', 'interpreter','latex');
        ylabel(ax_c,'Signaling molecules ($c$)','interpreter','latex');
        title(ax_c,['Day ',num2str(day(t))]);
        axis(ax_c,[0 1 0 2.5e-15]);
        frame = getframe(fig_c);
        writeVideo(vid_c,frame);
    end
    plot(ax_r,x,rho,'LineWidth',1.5);
    xlabel(ax_r,'Domain of computation ($x$)', 'interpreter','latex');
    ylabel(ax_r,'Collagen ($\rho$)','interpreter','latex');
    title(ax_r,['Day ',num2str(day(t))]);
    axis(ax_r,[0 1 0.1025 0.1225]);
    frame = getframe(fig_r);
    writeVideo(vid_r,frame);
    if round(day(t),2)<11
        plot(ax_v,x,v,'LineWidth',1.5);
        ylabel(ax_v,'Displacement velocity ($v$)','interpreter','latex');
        xlabel(ax_v,'Domain of computation ($x$)', 'interpreter','latex');
        title(ax_v,['Day ',num2str(day(t))]);
        axis(ax_v,[0 1 -0.1 0.05]);
        frame = getframe(fig_v);
        writeVideo(vid_v,frame);
        
        plot(ax_e,x,epsilon,'LineWidth',1.5);
        ylabel(ax_e,'Effective strain ($\epsilon$)','interpreter','latex');
        xlabel(ax_e,'Domain of computation ($x$)', 'interpreter','latex');
        title(ax_e,['Day ',num2str(day(t))]);
        axis(ax_e,[0 1 -0.5 0.5]);
        frame = getframe(fig_e);
        writeVideo(vid_e,frame);
    end
elseif study==5
    plot(ax_N,x,N,'LineWidth',1.5);
    title(ax_N,['Day ',num2str(day(t))]);
    xlabel(ax_N,'Domain of computation ($x$)', 'interpreter','latex');
    ylabel(ax_N,'Fibroblasts ($N$)','interpreter','latex');
    axis(ax_N,[0 1 0.999e4 1.001e4]);
    frame = getframe(fig_N);
    writeVideo(vid_N,frame);
    if round(day(t),2)<110
        plot(ax_M,x,M,'LineWidth',1.5);
        xlabel(ax_M,'Domain of computation ($x$)', 'interpreter','latex');
        ylabel(ax_M,'Myofibroblasts ($M$)','interpreter','latex');
        title(ax_M,['Day ',num2str(day(t))]);
        axis(ax_M,[0 1 0 7]);
        frame = getframe(fig_M);
        writeVideo(vid_M,frame);
    end
    if round(day(t),2)<60
        plot(ax_c,x,c,'LineWidth',1.5);
        xlabel(ax_c,'Domain of computation ($x$)', 'interpreter','latex');
        ylabel(ax_c,'Signaling molecules ($c$)','interpreter','latex');
        title(ax_c,['Day ',num2str(day(t))]);
        axis(ax_c,[0 1 0 2.5e-15]);
        frame = getframe(fig_c);
        writeVideo(vid_c,frame);
    end
    plot(ax_r,x,rho,'LineWidth',1.5);
    xlabel(ax_r,'Domain of computation ($x$)', 'interpreter','latex');
    ylabel(ax_r,'Collagen ($\rho$)','interpreter','latex');
    title(ax_r,['Day ',num2str(day(t))]);
    axis(ax_r,[0 1 0.1025 0.1225]);
    frame = getframe(fig_r);
    writeVideo(vid_r,frame);
    if round(day(t),2)<11
        plot(ax_v,x,v,'LineWidth',1.5);
        ylabel(ax_v,'Displacement velocity ($v$)','interpreter','latex');
        xlabel(ax_v,'Domain of computation ($x$)', 'interpreter','latex');
        title(ax_v,['Day ',num2str(day(t))]);
        axis(ax_v,[0 1 -0.1 0.05]);
        frame = getframe(fig_v);
        writeVideo(vid_v,frame);
        plot(ax_e,x,epsilon,'LineWidth',1.5);
        ylabel(ax_e,'Effective strain ($\epsilon$)','interpreter','latex');
        xlabel(ax_e,'Domain of computation ($x$)', 'interpreter','latex');
        title(ax_e,['Day ',num2str(day(t))]);
        axis(ax_e,[0 1 -0.5 0.5]);
        frame = getframe(fig_e);
        writeVideo(vid_e,frame);
    end    
elseif study==8
    plot(ax_N,x,N,'LineWidth',1.5);
    title(ax_N,['Day ',num2str(day(t))]);
    xlabel(ax_N,'Domain of computation ($x$)', 'interpreter','latex');
    ylabel(ax_N,'Fibroblasts ($N$)','interpreter','latex');
    axis(ax_N,[0 1 9.6e3 1e4]);
    frame = getframe(fig_N);
    writeVideo(vid_N,frame);
    plot(ax_M,x,M,'LineWidth',1.5);
    xlabel(ax_M,'Domain of computation ($x$)', 'interpreter','latex');
    ylabel(ax_M,'Myofibroblasts ($M$)','interpreter','latex');
    title(ax_M,['Day ',num2str(day(t))]);
    axis(ax_M,[0 1 0 250]);
    frame = getframe(fig_M);
    writeVideo(vid_M,frame);
    plot(ax_c,x,c,'LineWidth',1.5);
    xlabel(ax_c,'Domain of computation ($x$)', 'interpreter','latex');
    ylabel(ax_c,'Signaling molecules ($c$)','interpreter','latex');
    title(ax_c,['Day ',num2str(day(t))]);
    axis(ax_c,[0 1 0 2e-10]);
    frame = getframe(fig_c);
    writeVideo(vid_c,frame);
    plot(ax_r,x,rho,'LineWidth',1.5);
    xlabel(ax_r,'Domain of computation ($x$)', 'interpreter','latex');
    ylabel(ax_r,'Collagen ($\rho$)','interpreter','latex');
    title(ax_r,['Day ',num2str(day(t))]);
    axis(ax_r,[0 1 0.1 0.15]);
    frame = getframe(fig_r);
    writeVideo(vid_r,frame);
elseif study==10
    plot(ax_v,x,v,'LineWidth',1.5);
    ylabel(ax_v,'Displacement velocity ($v$)','interpreter','latex');
    xlabel(ax_v,'Domain of computation ($x$)', 'interpreter','latex');
    title(ax_v,['Day ',num2str(day(t))]);
    %axis(ax_v,[0 1 -0.1 0.05]);
    frame = getframe(fig_v);
    plot(ax_e,x,epsilon,'LineWidth',1.5);
    ylabel(ax_e,'Effective strain ($\epsilon$)','interpreter','latex');
    xlabel(ax_e,'Domain of computation ($x$)', 'interpreter','latex');
    title(ax_e,['Day ',num2str(day(t))]);
    %axis(ax_e,[0 1 -0.5 0.5]);
    frame = getframe(fig_e);
    writeVideo(vid_e,frame);
end